Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.servlets.jsp.taglib
Class PlaceholderTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.placeholder.servlets.jsp.taglib.PlaceholderTag

public class PlaceholderTag
extends javax.servlet.jsp.tagext.TagSupport

Corresponds to `<ph:placeholder>`.

The `<ph:placeholder>`. tag will query the PlaceholderService for the content to place in the placeholder.

Tag Attribute | Required | Type | Description
name | yes | String | The name of the placeholder
height | no | Integer | The requested height of the resulting content
width | no | Integer | The requested width of the resulting content

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`PlaceholderTag()`

Method Summary
`int` | `doStartTag()` Return the content for the named placeholder to the JSP page.
`protected java.lang.String` | `fixPlaceholderName(java.lang.String name)` Convert a placeholder name to a placeholder URI, as best we can.
`protected java.lang.String` | `getDisplayContent()` Get the content string to display.
`int` | `getRenderer()` Deprecated. not used.
`void` | `release()` Release/reset this tag.
`void` | `setHeight(int height)` set the height property.
`void` | `setName(java.lang.String name)` set the name property.
`void` | `setRenderer(int i)` Deprecated. not used.
`void` | `setWidth(int width)` set the width property

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderTag

    public PlaceholderTag()

Method Detail

### setName

    public void setName(java.lang.String name)

  set the name property.

  Parameters:
    `name` - String name of the placeholder

### setRenderer

    public void setRenderer(int i)

  Deprecated. not used.

### getRenderer

    public int getRenderer()

  Deprecated. not used.

### setHeight

    public void setHeight(int height)

  set the height property.

  Parameters:
    `height` - integer height of the placeholder

### setWidth

    public void setWidth(int width)

  set the width property

  Parameters:
    `width` - integer width of the placeholder

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Return the content for the named placeholder to the JSP page.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getDisplayContent

    protected java.lang.String getDisplayContent()
                                          throws javax.ejb.CreateException,
                                                 ContentException,
                                                 java.rmi.RemoteException

  Get the content string to display.

### release

    public void release()

  Release/reset this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### fixPlaceholderName

    protected java.lang.String fixPlaceholderName(java.lang.String name)

  Convert a placeholder name to a placeholder URI, as best we can.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved